.active {
    width: 33vw;
}

 /* Extra small devices (phones, 600px and down) */
 @media only screen and (max-width: 600px) {
    .active {
        width: calc(100vw - 60px);
    }
 }

 /* Small devices (portrait tablets and large phones, 600px and up) */
 @media only screen and (min-width: 600px) {
    .active {
        width: calc(100vw - 60px);;
    }

 }
 
 /* Medium devices (landscape tablets, 768px and up) */
 @media only screen and (min-width: 768px) {
    .active {
        width: 40vw
    }
 }
 
 /* Large devices (laptops/desktops, 992px and up) */
 @media only screen and (min-width: 992px) {
    .active {
        width: 33vw
    }

 }
 
 /* Extra large devices (large laptops and desktops, 1200px and up) */
 @media only screen and (min-width: 1200px) {
    .active {
        width: 20vw
    }
 } 

.inactive {
    width: 50px;
}

.searchbar.active input {
    z-index: 1;
}

.searchbar.active label {
    z-index: 1;
}

.searchbar.active i {
    margin-left: 0px;
}

.searchbar.active .close {
    opacity: 1;
    -webkit-transform: rotate(0deg); /* Safari prior 9.0 */
    transform: rotate(0deg); /* Standard syntax */
    z-index: 4;
}

.searchbar.active .search {
    opacity: 0;
}

.searchbar.inactive input {
    z-index: -1;
}

.searchbar.inactive label {
    z-index: -1;
}

.searchbar.inactive i {
    margin-left: 12px;
}

.searchbar.inactive .close {
    opacity: 0;
    -webkit-transform: rotate(540deg); /* Safari prior 9.0 */
    transform: rotate(180deg); /* Standard syntax */
    z-index: -1;
}

.searchbar.inactive .search {
    opacity: 1;
}

.searchbar.active {
    background-color: rgb(255, 255, 255, 1);
    color: #ef5350;
}

.searchbar.inactive {
    background-color: rgba(255, 255, 255, 0);
    color: white;
}

.searchbar {
    -webkit-transition: width 1s, background-color 0.5s;
    /* Safari prior 6.1 */
    transition: width 1s, background-color 0.5s;
    overflow: hidden;
    min-width: 50px;
}

.searchbar i,
.searchbar label,
.searchbar input {
    margin-top: -5px;
}

.searchbar i {
    -webkit-transition: margin-left 1s linear;
    /* Safari prior 6.1 */
    transition: margin-left 1s linear;
    cursor: pointer;
}

.searchbar .close {
    -webkit-transition: opacity 1s ease-in-out, transform 1.5s ease-out;
    /* Safari prior 6.1 */
    transition: opacity 1s ease-in-out, transform  1.5s ease-out;
    -webkit-transform-origin: 15px 50%;
    transform-origin: 15px 50%;
}

.searchbar .search {
    -webkit-transition: opacity 1s ease-in-out;
    /* Safari prior 6.1 */
    transition: opacity 1s ease-in-out;
}

.searchbar .sidenav-trigger{
    cursor: pointer;
}